Subject: bug#62413: 29.0.60; [PATCH] save-place-mode cannot restore saved position

From: Liu Hui <[email-masked]>
Date: Tue, 28 Mar 2023 13:56:05 +0800

Eli Zaretskii <[email-masked]> 于2023年3月26日周日 13:20写道：

> Ugh!  This feature was not thought out well enough when it was
> introduced: if the user changes the value half-way through a session,
> the history will record visited files twice, under 2 different
> file-name formats and with different places recorded.  I think
> changing the value of save-place-abbreviate-file-names should rewrite
> the entire alist in the selected format.

I agree that it is better to avoid mixed file name formats, and then
save-place-find-file-hook can be fixed simply. The difficult part is
how to rewrite save-place-alist automatically. Otherwise users need to
convert the format of file names manually, which, I think, is also
acceptable.